/**
 * @copyright
 * Copyright 2013 Mail Bypass, Inc.
 *
 * @license
 * Licensed under the Apache License, Version 2.0 (the "License"); you may
 * not use this file except in compliance with the License. You may obtain
 * a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations
 * under the License.
 */
var MessageBusAPIClient = require('../../lib/messagebus.js').MessageBusAPIClient;

var apiKey = "7215ee9c7d9dc229d2921a40e899ec5f";
var apiHost = "https://api-jy01-prod.messagebus.com";

var client = new MessageBusAPIClient(apiKey, apiHost);

client.getChannels(function(err, resp) {
    if (err) console.error("Error: %j", err);
    else {
        console.info("Successfully fetched channels:");
        for (var i = 0; i < resp.results.length; i++) {
            console.info("Channel Name: %s, Channel Key: %s", resp.results[i].channelName, resp.results[i].channelKey);
        }
    }
});
